Page MenuHomePhabricator

Improve MediaWiki's lock file error message when uploading files
Closed, ResolvedPublic

Description

This task is about MediaWiki's core codebase.

One of the errors that people run into when setting up new MediaWiki installations is

"Could not open lock file for "mwstore://local-backend/local-public/..."

(in English; the message ID is lockmanager-fail-openlock).

That message is unhelpful and should be descriptive/helpful for fixing the problem.

It should be changed to something like this:

"Could not open lock file for "mwstore://local-backend/local-public/...". Make sure your upload directory is configured correctly and your web server has permission to write to that directory. See https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:$wgUploadDirectory for more information."

You are expected to provide a patch in Wikimedia Gerrit. See https://www.mediawiki.org/wiki/Gerrit/Tutorial for how to set up Git and Gerrit.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

kaldari created this task.Nov 27 2017, 11:21 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptNov 27 2017, 11:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 27 2017, 11:22 PM

For anyone working on this in MediaWiki core, lockmanager-fail-openlock is the string's ID and defined in languages/i18n/en.json.
Link should probably be https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:$wgUploadDirectory (localized version)?

Harjotsingh added a subscriber: Harjotsingh.EditedDec 3 2017, 12:07 PM

I can mentor this, should I import it in GCI site ?

I can mentor this, should I import it in GCI site ?

@Harjotsingh: Yes, feel free to (and thanks)! :)

Aklapper renamed this task from Improve lock file error message for uploading to Improve MediaWiki's lock file error message when uploading files.Dec 5 2017, 3:53 PM
Aklapper updated the task description. (Show Details)
Spriha added a subscriber: Spriha.Jan 28 2018, 8:28 AM

Hello,

I am a newbie. I want to work on this bug. Since Google-Code-in-2017 has ended (though results aren't out I believe), can I work on this bug?

Hello,

I am a newbie. I want to work on this bug. Since Google-Code-in-2017 has ended (though results aren't out I believe), can I work on this bug?

please work. I can mentor this

If I remember correctly, you need to edit the en translation in the code, then it will be updated on translatewiki, where it will get translated, and then pushed back here.

Zoranzoki21 moved this task from Backlog to Doing on the good first bug board.

If I remember correctly, you need to edit the en translation in the code, then it will be updated on translatewiki, where it will get translated, and then pushed back here.

I think. OK, I will do it than.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJan 28 2018, 1:55 PM
kaldari closed this task as Resolved.Jan 29 2018, 5:29 AM

Change 406492 merged by jenkins-bot:
[mediawiki/core@master] Improve MediaWiki's lock file error message when uploading files

https://gerrit.wikimedia.org/r/406492

@Zoranzoki21: Thanks for fixing this!